gluingpermsearcher4.h File Reference

Supports searching through all possible sets of pentachoron gluing permutations for a given pentachoron facet pairing. More...

`#include "regina-core.h"`
`#include "census/gluingperms.h"`
`#include "census/gluingpermsearcher.h"`
`#include "triangulation/facetpairing.h"`

## Classes

class | regina::GluingPermSearcher< 4 >
| A utility class for searching through all possible gluing permutation sets that correspond to a given pentachoron facet pairing. More...
struct | regina::GluingPermSearcher< 4 >::PentEdgeState
| A structure used to track equivalence classes of pentachoron edges as the gluing permutation set is constructed. More...
struct | regina::GluingPermSearcher< 4 >::PentTriangleState
| A structure used to track equivalence classes of pentachoron triangles as the gluing permutation set is constructed. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef GluingPermSearcher< 4 > | regina::Dim4GluingPermSearcher
| Deprecated typedef for backward compatibility. More...
typedef GluingPermSearcher< 4 >::Use | regina::UseDim4GluingPerms
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Supports searching through all possible sets of pentachoron gluing permutations for a given pentachoron facet pairing.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).